Intermittent testBookmarklets,testSearchHistoryProvider - TestInsert | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1f3f8 or 0xfb54]

RESOLVED WORKSFORME

Status

()

Firefox for Android
Testing
P3
normal
RESOLVED WORKSFORME
2 years ago
20 days ago

People

(Reporter: aryx, Assigned: gbrown)

Tracking

(Blocks: 1 bug, {intermittent-failure})

Trunk
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox52 wontfix)

Details

https://treeherder.mozilla.org/logviewer.html#?job_id=37308269&repo=mozilla-inbound

03:17:53     INFO -  TEST-START | testBookmarklets
03:17:54     INFO -  TEST-PASS | testBookmarklets | Robocop tests need the test device screen to be powered on. -
03:17:54     INFO -  TEST-PASS | testBookmarklets | Given message occurred for registered event: {"type":"Gecko:Ready"} - Gecko:Ready should equal Gecko:Ready
03:17:54     INFO -  EventExpecter: no longer listening for Gecko:Ready
03:17:54     INFO -  TEST-PASS | testBookmarklets | Given message occurred for registered event: {"errorType":"","bgColor":"transparent","type":"DOMContentLoaded","tabID":0} - DOMContentLoaded should equal DOMContentLoaded
03:17:54     INFO -  EventExpecter: no longer listening for DOMContentLoaded
03:17:54     INFO -  TEST-PASS | testBookmarklets | waiting for urlbar text to gain focus - urlbar text gained focus
03:17:54     INFO -  TEST-PASS | testBookmarklets | URL typed properly - javascript:alert(12 + 10) should equal javascript:alert(12 + 10)
03:18:05     INFO -  INFO | automation.py | Application ran for: 0:01:53.104199
03:18:05     INFO -  INFO | zombiecheck | Reading PID log: /tmp/tmpZwYnKxpidlog
03:18:06     INFO -  /data/tombstones does not exist; tombstone check skipped
03:18:07     INFO -  mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/Xqa-UGL9SGW7asaHu3cPWQ/artifacts/public/build/fennec-52.0a1.en-US.android-arm.crashreporter-symbols.zip
03:18:21     INFO -  mozcrash Copy/paste: /builds/slave/test/build/linux64-minidump_stackwalk /tmp/tmp6DZsz3/2d735212-68ea-5077-2f06b392-4a7353a7.dmp /tmp/tmpBCSE4K
03:18:37     INFO -  mozcrash Saved minidump as /builds/slave/test/build/blobber_upload_dir/2d735212-68ea-5077-2f06b392-4a7353a7.dmp
03:18:37     INFO -  mozcrash Saved app info as /builds/slave/test/build/blobber_upload_dir/2d735212-68ea-5077-2f06b392-4a7353a7.extra
03:18:37  WARNING -  PROCESS-CRASH | testBookmarklets | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1f3f8]
03:18:37     INFO -  Crash dump filename: /tmp/tmp6DZsz3/2d735212-68ea-5077-2f06b392-4a7353a7.dmp
03:18:37     INFO -  Operating system: Android
03:18:37     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
03:18:37     INFO -  CPU: arm
03:18:37     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
03:18:37     INFO -       1 CPU
03:18:37     INFO -  GPU: UNKNOWN
03:18:37     INFO -  Crash reason:  SIGILL
03:18:37     INFO -  Crash address: 0x553ed3f8
03:18:37     INFO -  Process uptime: not available
03:18:37     INFO -  Thread 54 (crashed)
03:18:37     INFO -   0  dalvik-jit-code-cache (deleted) + 0x1f3f8
03:18:37     INFO -       r0 = 0x41a8b9c0    r1 = 0x41c014c8    r2 = 0x414b5890    r3 = 0x4bb36970
03:18:37     INFO -       r4 = 0x00838029    r5 = 0x58b1ec88    r6 = 0x2a3df6d8    r7 = 0x00000003
03:18:37     INFO -       r8 = 0x41ac7ad8    r9 = 0x41c014f8   r10 = 0x41c014dc   r12 = 0x00000000
03:18:37     INFO -       fp = 0x0000021d    sp = 0x5f7ffda0    lr = 0x408a9c65    pc = 0x553ed3f8
03:18:37     INFO -      Found by: given as instruction pointer in context
03:18:37     INFO -   1  libdvm.so + 0x2de9a
03:18:37     INFO -       sp = 0x5f7ffdac    pc = 0x4086be9c
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   2  dalvik-LinearAlloc (deleted) + 0x5d3e
03:18:37     INFO -       sp = 0x5f7ffdc0    pc = 0x4c46cd40
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   3  dalvik-heap (deleted) + 0x65909e
03:18:37     INFO -       sp = 0x5f7ffdc4    pc = 0x41b0e0a0
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   4  libdvm.so + 0x2b582
03:18:37     INFO -       sp = 0x5f7ffdc8    pc = 0x40869584
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   5  dalvik-heap (deleted) + 0xfcaffe
03:18:37     INFO -       sp = 0x5f7ffdfc    pc = 0x42480000
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   6  core.odex + 0x22fa50
03:18:37     INFO -       sp = 0x5f7ffe40    pc = 0x4d697a52
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   7  dalvik-LinearAlloc (deleted) + 0x5d3e
03:18:37     INFO -       sp = 0x5f7ffe4c    pc = 0x4c46cd40
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   8  libdvm.so + 0x5fcbf
03:18:37     INFO -       sp = 0x5f7ffe58    pc = 0x4089dcc1
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -   9  dalvik-LinearAlloc (deleted) + 0x5d3e
03:18:37     INFO -       sp = 0x5f7ffe60    pc = 0x4c46cd40
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  10  dalvik-heap (deleted) + 0x65909e
03:18:37     INFO -       sp = 0x5f7ffe64    pc = 0x41b0e0a0
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  11  libdvm.so + 0xae19e
03:18:37     INFO -       sp = 0x5f7ffe6c    pc = 0x408ec1a0
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  12  libdvm.so + 0xae4aa
03:18:37     INFO -       sp = 0x5f7ffe74    pc = 0x408ec4ac
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  13  libdvm.so + 0xae4a6
03:18:37     INFO -       sp = 0x5f7ffe78    pc = 0x408ec4a8
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  14  libdvm.so + 0x5fce9
03:18:37     INFO -       sp = 0x5f7ffe88    pc = 0x4089dceb
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  15  libdvm.so + 0x54a71
03:18:37     INFO -       sp = 0x5f7ffea4    pc = 0x40892a73
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  16  libdvm.so + 0x549cf
03:18:37     INFO -       sp = 0x5f7ffedc    pc = 0x408929d1
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  17  libc.so!__thread_entry [pthread_create.cpp : 92 + 0x6]
03:18:37     INFO -       sp = 0x5f7ffee8    pc = 0x40033a5c
03:18:37     INFO -      Found by: stack scanning
03:18:37     INFO -  18  libc.so!pthread_create [pthread_create.cpp : 201 + 0x16]
03:18:37     INFO -       r3 = 0x2a3df6d8    r4 = 0x0000000b    r5 = 0x00100000    r6 = 0x2a3df6d8
03:18:37     INFO -       r7 = 0x00000078    sp = 0x5f7fff00    pc = 0x40033bd8
03:18:37     INFO -      Found by: call frame info
testSearchHistoryProvider - TestInsert | application crashed [@ dalvik-jit-code-cache (deleted) + 0xfb54]
https://treeherder.mozilla.org/logviewer.html#?job_id=4759830&repo=autoland
Summary: Intermittent testBookmarklets | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1f3f8] → Intermittent testBookmarklets,testSearchHistoryProvider - TestInsert | application crashed [@ dalvik-jit-code-cache (deleted) + 0x1f3f8 or 0xfb54]
(Assignee)

Comment 2

2 years ago
03:06:08     INFO -  10-09 03:04:59.578 W/EGL_emulation( 2741): eglSurfaceAttrib not implemented
03:06:08     INFO -  10-09 03:04:59.618 D/OpenGLRenderer( 2741): Enabling debug mode 0
03:06:08     INFO -  10-09 03:04:59.867 D/Telemetry( 2741): SendUIEvent: event = launch.1 method = homescreen timestamp = 2741332 extras = launcher
03:06:08     INFO -  10-09 03:05:00.060 W/ActivityManager(  282): Launch timeout has expired, giving up wake lock!
03:06:08     INFO -  10-09 03:05:00.241 W/ActivityManager(  282): Activity idle timeout for ActivityRecord{41a74040 u0 org.mozilla.fennec/org.mozilla.gecko.BrowserApp}
03:06:08     INFO -  10-09 03:05:00.278 I/Choreographer( 2741): Skipped 136 frames!  The application may be doing too much work on its main thread.
03:06:08     INFO -  10-09 03:05:04.429 I/ActivityManager(  282): Displayed org.mozilla.fennec/org.mozilla.gecko.BrowserApp: +14s313ms
03:06:08     INFO -  10-09 03:05:04.638 D/GeckoToolbar( 2741): onTabChanged: SELECTED
03:06:08     INFO -  10-09 03:05:04.818 I/GeckoToolbarDisplayLayout( 2741): zerdatime 2746286 - Throbber stop
03:06:08     INFO -  10-09 03:05:04.997 D/GeckoBrowserApp( 2741): BrowserApp.onTabChanged: 0: SELECTED
03:06:08     INFO -  10-09 03:05:06.098 D/GeckoToolbar( 2741): onTabChanged: RESTORED
03:06:08     INFO -  10-09 03:05:06.098 I/Choreographer( 2741): Skipped 106 frames!  The application may be doing too much work on its main thread.
03:06:08     INFO -  10-09 03:05:07.068 E/SQLiteLog( 2741): (1) no such table: bookmarks
03:06:08     INFO -  10-09 03:05:07.177 D/GeckoToolbar( 2741): onTabChanged: FAVICON
03:06:08     INFO -  10-09 03:05:07.177 D/GeckoBrowserApp( 2741): BrowserApp.onTabChanged: 0: FAVICON
03:06:08     INFO -  10-09 03:05:07.632 D/GeckoToolbar( 2741): onTabChanged: MENU_UPDATED
03:06:08     INFO -  10-09 03:05:07.638 D/GeckoBrowserApp( 2741): BrowserApp.onTabChanged: 0: MENU_UPDATED
03:06:08     INFO -  10-09 03:05:07.682 D/GeckoTelemetryUploadSer( 2741): Telemetry upload feature is disabled by intent (in testing?)
03:06:08     INFO -  10-09 03:05:07.682 D/GeckoTelemetryCorePingD( 2741): Core ping upload disabled by profile config. Returning.
03:06:08     INFO -  10-09 03:05:07.882 I/Choreographer(  416): Skipped 79 frames!  The application may be doing too much work on its main thread.
03:06:08     INFO -  10-09 03:05:09.630 W/google-breakpad( 2741): ExceptionHandler::GenerateDump cloned child
Blocks: 1309300
Priority: -- → P3
Mass wontfix for bugs affecting firefox 52.
status-firefox52: affected → wontfix
(Assignee)

Updated

9 months ago
Assignee: nobody → gbrown
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → WORKSFORME

Comment 4

9 months ago
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1308715&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 5

20 days ago
1 failures in 655 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1308715&startday=2018-05-28&endday=2018-06-03&tree=trunk
You need to log in before you can comment on or make changes to this bug.